<?php
    require 'database.php';
    $id = null;
    if ( !empty($_GET['id'])) {
        $id = $_REQUEST['id'];
    }
     
    $pdo = Database::connect();
	$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$sql = "SELECT * FROM registration where id = ?";
	$q = $pdo->prepare($sql);
	$q->execute(array($id));
	$data = $q->fetch(PDO::FETCH_ASSOC);
	Database::disconnect();
?>

<!DOCTYPE html>
<html lang="en">
<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta charset="utf-8">
		<link href="css/bootstrap.min.css" rel="stylesheet">
		<script src="js/bootstrap.min.js"></script>
		
		<style>
		html {
			font-family: Arial;
			display: inline-block;
			margin: 0px auto;
		}
		
		textarea {
			resize: none;
		}

		ul.topnav {
			list-style-type: none;
			margin: auto;
			padding: 0;
			overflow: hidden;
			background-color: #4CAF50;
			width: 90%;
		}

		ul.topnav li {float: left;}

		ul.topnav li a {
			display: block;
			color: white;
			text-align: center;
			padding: 14px 16px;
			text-decoration: none;
		}

		ul.topnav li a:hover:not(.active) {background-color: #3e8e41;}

		ul.topnav li a.active {background-color: #333;}

		ul.topnav li.right {float: right;}

		@media screen and (max-width: 90%) {
			ul.topnav li.right, 
			ul.topnav li {float: none;}
		}
		</style>
		
		<title>Редактирование данных карты</title>
		
	</head>
	
	<body>

		<h2 align="center">Данные карты</h2>
		
		<div class="container">
     
			<div class="center" style="margin: 0 auto; width:90%; border-style: solid; border-color: #f2f2f2;">
				<div class="row">
					<h3 align="center">Редактирование данных</h3>
					<p id="defaultGender" hidden><?php echo $data['gender'];?></p>
				</div>
		 
				<form class="form-horizontal" action="user_data_edit_tb.php?id=<?php echo $id?>" method="get">
					<div class="control-group">
						<label class="control-label">UID</label>
						<div class="controls">
							<input name="uid" type="text"  placeholder="" value="<?php echo $data['uid'];?>" readonly>
						</div>
					</div>
					
					<div class="control-group">
						<label class="control-label">ФИО</label>
						<div class="controls">
							<input name="name" type="text"  placeholder="" value="<?php echo $data['name'];?>" required>
						</div>
					</div>
					
					<div class="control-group">
						<label class="control-label">Пол</label>
						<div class="controls">
							<select name="gender" id="mySelect">
								<option value="Муж.">Муж.</option>
								<option value="Жен.">Жен.</option>
							</select>
						</div>
					</div>
					
					<div class="control-group">
						<label class="control-label">Email адрес</label>
						<div class="controls">
							<input name="email" type="text" placeholder="" value="<?php echo $data['email'];?>" required>
						</div>
					</div>
					
					<div class="control-group">
						<label class="control-label">Телефон</label>
						<div class="controls">
							<input name="mobile" type="text"  placeholder="" value="<?php echo $data['mobile'];?>" required>
						</div>
					</div>
					<div class="control-group">
						<label class="control-label">Фото</label>
						<div class="controls">
							<input name="img" type="file"  value="<?php echo $data['img'];?>">
						</div>
					</div>
					
					<div class="form-actions">
						<button type="submit" class="btn btn-success">Обновить</button>
						<a class="btn" href="user_data.php">Назад</a>
					</div>
				</form>
			</div>               
		</div> <!-- /container -->	
		
		<script>
			var g = document.getElementById("defaultGender").innerHTML;
			if(g=="Male") {
				document.getElementById("mySelect").selectedIndex = "0";
			} else {
				document.getElementById("mySelect").selectedIndex = "1";
			}
		</script>
	</body>
</html>